Advertisement:

Author Topic: PHP warning in Privileges  (Read 24333 times)

Offline lowtide

  • Semi-Newbie
  • *
  • Posts: 24
PHP warning in Privileges
« on: August 15, 2008, 08:13:26 AM »
Hello,

I am getting a warning in my PHP Privileges that looks like this...


Warning: Your privilege table structure seem to be older than this MySQL version!
Please run the script mysql_fix_privilege_tables that should be included in your MySQL server distribution to solve this problem!



So I run the script (mysql_fix_privilege_tables) on MY SQL and get this message...


 MySQL said: Documentation
#1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'mysql_fix_privilege_tables' at line 1



So, I can't change or update my privileges, which I think is why my forum keeps crashing. I keep having to run scripts to repair smf_log_in and smf_members...

Any help at all would be great, I have been at this for days with out much luck.
thanks again,
-Al

Offline lowtide

  • Semi-Newbie
  • *
  • Posts: 24
Re: PHP warning in Privileges
« Reply #1 on: August 15, 2008, 08:34:25 PM »
bump....